<template>
  <!-- 装船作业页面 -->
  <div class="shipTransport">
    <div class="top">
      <el-input
        class="el-input"
        placeholder="请输入内容"
        v-model="input"
        clearable
      >
      </el-input>

       <el-date-picker v-model="startTime" type="datetime" placeholder="选择日期"></el-date-picker>
      <span>至</span>
      <el-date-picker v-model="endTime" type="datetime" placeholder="选择日期"></el-date-picker>

      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" @click="refresh()">
        <i class="el-icon-refresh"></i>刷新
      </el-button>
    </div>
    <dilTable v-bind.sync="option" @func="callback">
      <el-table-column fixed="right" label="操作" align="center" width="100">
        <template slot-scope="scope">
          <el-button @click="click(scope.row.resultId)" type="text" size="small"
            >编辑</el-button
          >
          <!-- <el-button
            type="text"
            size="small"
            @click="deleteclick(scope.row.resultId)"
            >删除</el-button> -->
        </template>
      </el-table-column>
    </dilTable>
  </div>
</template>

<script>
import { sjTime } from "@/utils/sharedJsFile";
import { getCookie } from "@/utils/util.js";
import BigNumber from 'bignumber.js';
export default {
  name: "homeworkPath",
  data() {
    return {
      startTime: null,
      endTime: null,
      input: "",
      option: {
        // 表格请求数据的地址
        requestUrl: null,
        // isshowSummary:true,
        // showSummaryList:['resultInspectionFee','realWeight','resultWaterTonnage','planWeight']
      },
    };
  },
  mounted() {
    this.initDate();
  },
  methods: {
    initDate(){
      this.startTime=new Date();
      this.endTime=new Date();
      this.startTime.setDate(1);
      this.startTime.setHours(0);
      this.startTime.setMinutes(0);
      this.startTime.setSeconds(0);
      this.onclick();
    },
    callback(param){
      //自定义合计
      console.log("param:",param);
      let totalLoad=new BigNumber(0);
      let totalInstuctions=new BigNumber(0);
      let totalWater=new BigNumber(0);
      let totalPlan=new BigNumber(0);
      let content= null;
      if(param.list.length<=0){
        return;
      }
      param.list.forEach(row => {
        if(row.realWeight && typeof row.realWeight == 'number'){
          totalLoad = totalLoad.plus(new BigNumber(row.realWeight));
        }
        if(row.resultInspectionFee && typeof row.resultInspectionFee == 'number'){
          totalInstuctions =totalInstuctions.plus(new BigNumber(row.resultInspectionFee));
        }
        if(row.resultWaterTonnage && typeof row.resultWaterTonnage == 'number'){
          totalWater = totalWater.plus(new BigNumber(row.resultWaterTonnage));
        }
        if(row.planWeight && typeof row.planWeight == 'number'){
          totalPlan = totalPlan.plus(new BigNumber(row.planWeight));
        }
      });
      if(totalLoad && totalLoad.toFixed(4)>0){
        content=new BigNumber(totalWater.times(100)).div(totalLoad).toFixed(2);
      }
      param.list.push({
        ROW_ID:' ',
        noticePort:'合计',
        realWeight:totalLoad.toFixed(2),
        resultInspectionFee:totalInstuctions.toFixed(2),
        resultWaterTonnage:totalWater.toFixed(4),
        planWeight:totalPlan.toFixed(2),
        resultMoistureContent:content
      });
    },
    onclick() {
      let startTime = null;
      let endTime = null;
      if (this.startTime) {
        startTime = sjTime(this.startTime);
      }
      if (this.endTime) {
        endTime = sjTime(this.endTime);
      }
      if(startTime && endTime && startTime < endTime){
          this.option.requestUrl = "/api/v1/tms/getLoadShipList?apiId=512&con=" + this.input+
                "&startTime=" +
                startTime +
                "&endTime=" +
                endTime;
      }else{
          this.option.requestUrl = "/api/v1/tms/getLoadShipList?apiId=512&con=" + this.input;
      }
    },
    click(resultId) {
      console.log("aaa" + resultId);
      this.$router.push("/updateThreeSectionFeeDetails/" + resultId);
    },
    addclick() {
      this.$router.push("/addLoadShip/");
    },
    deleteclick(scope) {
      let resultId = scope;
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.axios.post("/api/v1/tms/deleteLoadShip/" + resultId).then(() => {
            this.$message({
              type: "success",
              message: "删除成功!",
            });
            this.option.requestUrl =
              "/api/v1/tms/getLoadShipList?apiId=512&i=" + new Date();
          });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消删除!",
          });
        });
    },
    refresh() {
      this.$router.go(0);
    },
  },
};
</script>
<style lang="scss" scoped>
.shipTransport {
  .top {
    padding: 1.25rem 0.375rem;
    .el-input {
      width: 20%;
      margin-right: 40rpx;
    }
    .btn {
      width: 5.5%;
      margin-left: 0.25rem;
    }
  }
}
</style>
